---
search:
  tags:
    - DAM V2
    - GET
seo:
  description: >-
    Returns the full DAM folder hierarchy as trees rooted… Reference for the GET
    /api/v2/{team_slug}/{app_slug}/dam/folders/tree endpoint in the Management
    API.
sidebar:
  label: Get folder tree
  badge: GET
title: Get folder tree
type: openapi-operation
---
Returns the full DAM folder hierarchy as trees rooted at top-level folders.

`GET /api/v2/{team_slug}/{app_slug}/dam/folders/tree`

**Responses**

- `200` — OK
- `401` — Request-level failure
- `403` — Request-level failure
- `500` — Request-level failure

Response example, 200:

```json
{
  "data": [
    {
      "folder": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "slug": "string",
        "parent_id": "1c6ca187-e61f-4301-8dcb-0e9749e89eef",
        "public": true,
        "is_default": true,
        "image_count": 0,
        "video_count": 0,
        "file_count": 0,
        "has_content_access": true,
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z"
      },
      "children": [
        {}
      ]
    }
  ]
}
```
